### Function

# GObject InterfaceInitFunc

#### Declaration

    void
    (* GInterfaceInitFunc) (
      GObjectTypeInterface* g_iface,
      gpointer iface_data
    )

#### Description [src]

A callback function used by the type system to initialize a new interface.

This function should initialize all internal data and* allocate any resources required by the interface.

The members of `iface_data` are guaranteed to have been filled with zeros before this function is called.

#### Parameters

`g_iface`

  Type: `GTypeInterface`

  The interface structure to initialize.

  The data is owned by the caller of the function.

`iface_data`

  Type: `gpointer`

  The `interface_data` supplied via the `GInterfaceInfo` structure.

  The argument can be `NULL`.
  The data is owned by the caller of the function.